Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.format
Class NodeBranchDataFormatEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.format.NodeBranchDataFormatEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

Direct Known Subclasses:
  ColorsByNodeBranchDataEdit, DistanceValuesByNodeBranchDataEdit

    public abstract class NodeBranchDataFormatEdit

extends DocumentEdit

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`NodeBranchDataFormatEdit(Document document)`

Method Summary
`static double` | `calculateMaxNodeData(NodeBranchDataAdapter adapter, Node root)` Searches for the maximal node data specified by `adapter` in the subtree under root.

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, redo, replaceEdit, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.undo.UndoableEdit
`getPresentationName`

Constructor Detail

### NodeBranchDataFormatEdit

    public NodeBranchDataFormatEdit(Document document)

Method Detail

### calculateMaxNodeData

    public static double calculateMaxNodeData(NodeBranchDataAdapter adapter,
                                              Node root)

  Searches for the maximal node data specified by `adapter` in the subtree under root.

  Parameters:
    `root` - the root of the subtree
  Returns:
    the maximal node data (0 if no decimal value was found)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD